/****************************************************************************/
/*                                                                          */
/*  This file is distributed as part of the BCP_VRP package                 */
/*                                                                          */ 
/*  It was obtained as part of the CVRPSEP package developed by Jens        */
/*  Lysgaard. Original header follows.                                      */
/*                                                                          */
/****************************************************************************/

/* (C) Copyright 2003 Jens Lysgaard. All rights reserved. */
/* OSI Certified Open Source Software */
/* This software is licensed under the Common Public License Version 1.0 */

#ifndef _H_FCISEP
#define _H_FCISEP

void FCISEP_SeparateFCIs(int NoOfCustomers,
                         int *Demand,
                         int CAP,
                         int NoOfEdges,
                         int *EdgeTail,
                         int *EdgeHead,
                         double *EdgeX,
                         CnstrMgrPointer CMPExistingCuts,
                         int MaxNoOfTreeNodes,
                         int MaxNoOfCuts,
                         double *MaxViolation,
                         CnstrMgrPointer CutsCMP);

#endif

