/****************************************************************************/
/*                                                                          */
/*  This file is distributed as part of the BCP_VRP package                 */
/*                                                                          */ 
/*  It was obtained as part of the CVRPSEP package developed by Jens        */
/*  Lysgaard. Original header follows.                                      */
/*                                                                          */
/****************************************************************************/

/* (C) Copyright 2003 Jens Lysgaard. All rights reserved. */
/* OSI Certified Open Source Software */
/* This software is licensed under the Common Public License Version 1.0 */

#ifndef _H_MEMMOD
#define _H_MEMMOD

#include <malloc.h>

void* MemGet(int NoOfBytes);
void* MemReGet(void *p, int NewNoOfBytes);
void MemFree(void *p);
char* MemGetCV(int n);
char** MemGetCM(int Rows, int Cols);
void MemFreeCM(char **p, int Rows);
int* MemGetIV(int n);
int** MemGetIM(int Rows, int Cols);
void MemFreeIM(int **p, int Rows);
double* MemGetDV(int n);
double** MemGetDM(int Rows, int Cols);
void MemFreeDM(double **p, int Rows);

#endif
