/****************************************************************************/
/*                                                                          */
/*  This file is distributed as part of the BCP_VRP package                 */
/*                                                                          */ 
/*  It was obtained as part of the CVRPSEP package developed by Jens        */
/*  Lysgaard. Original header follows.                                      */
/*                                                                          */
/****************************************************************************/

/* (C) Copyright 2003 Jens Lysgaard. All rights reserved. */
/* OSI Certified Open Source Software */
/* This software is licensed under the Common Public License Version 1.0 */

#ifndef _H_COMPRESS
#define _H_COMPRESS

void COMPRESS_ShrinkGraph(ReachPtr SupportPtr,
                          int NoOfCustomers,
                          double **XMatrix,
                          double **SMatrix,
                          int NoOfV1Cuts,
                          ReachPtr V1CutsPtr,
                          ReachPtr SAdjRPtr, /* Shrunk support graph */
                          ReachPtr SuperNodesRPtr, /* Nodes in supernodes */
                          int *ShrunkGraphCustNodes); /* Excl. depot */

#endif

