/****************************************************************************/
/*                                                                          */
/*  This file is distributed as part of the BCP_VRP package                 */
/*                                                                          */ 
/*  It was obtained as part of the CVRPSEP package developed by Jens        */
/*  Lysgaard. Original header follows.                                      */
/*                                                                          */
/****************************************************************************/

/* (C) Copyright 2003 Jens Lysgaard. All rights reserved. */
/* OSI Certified Open Source Software */
/* This software is licensed under the Common Public License Version 1.0 */

#ifndef _H_CUTBASE
#define _H_CUTBASE

void CUTBASE_CompXSumInSet(ReachPtr SupportPtr,
                           int NoOfCustomers,
                           char *InNodeSet,
                           int *NodeList, int NodeListSize,
                           double **XMatrix,
                           double *XSumInSet);

void CUTBASE_CompVehiclesForSet(int NoOfCustomers,
                                char *NodeInSet,
                                int *NodeList,
                                int NodeListSize,
                                int *Demand,
                                int CAP,
                                int *MinV);

void CUTBASE_CompCapViolation(ReachPtr SupportPtr,
                              int NoOfCustomers,
                              char *NodeInSet,
                              int *NodeList, int NodeListSize,
                              int *Demand, int CAP,
                              double **XMatrix,
                              double *Violation);

#endif

