/****************************************************************************/
/*                                                                          */
/*  This file is distributed as part of the BCP_VRP package                 */
/*                                                                          */
/*  (c) Copyright 2006 by Renato Werneck                                    */
/*                                                                          */
/*  Permission is granted for academic research use.  For other uses,       */
/*  contact the authors for licensing options.                              */
/*                                                                          */
/*  Use at your own risk.  We make no guarantees about the                  */
/*  correctness or usefulness of this code.                                 */
/*                                                                          */
/****************************************************************************/

#include <stdio.h>
#include "kcycles.h"

int main(int argc, char *argv[]) {

	CycleClause *a, *b, *c, *d, *e, *f, *g, *h, *i;

	
	int alist[3] = {3,1,2};
	int blist[3] = {3,5,4};
	int clist[3] = {3,4,1};
	int flist[3] = {3,1,4};
	int hlist[3] = {3,6,7};
	a = new CycleClauseStandard(3,alist);
	b = new CycleClauseStandard(3,blist);
	c = new CycleClauseStandard(3,clist);
	f = new CycleClauseStandard(3,flist);

	a->output(stderr);
	fprintf (stderr, "\n");
	b->output(stderr);
	fprintf (stderr, "\n");
	c->output(stderr);
	fprintf (stderr, "\n");

	d = a->process(b);
	d->output(stderr);
	fprintf (stderr, "\n");

	e = d->process(c);
	e->output(stderr);
	fprintf (stderr, "\n");

	g = f->process(e);
	g->output(stderr);
	fprintf (stderr, "\n");

	h = new CycleClauseStandard(3,hlist);
	i = h->process(d);
	i->output(stderr);
	fprintf (stderr, "\n");
	
	return 0;
}
